/*
 *      Luis Israel Diéguez Arjona
 *      Sonia Cejas Soria
 *      Sergio Cabello García
 *      María José González Cordero
 *
 *      Ingeniería del Software de Gestión II
 *      Ingeniería Técnica Informática de Gestión
 *      Universidad de Huelva
 */

package controlador;

import javax.swing.tree.MutableTreeNode;





public class Utilidades {


    
    // Devuelve el identificador (pre + numérico) de un elemento: UC-0001, UC-0002,...
    public String getIdentificadorNodo (MutableTreeNode nodoSeleccionado) {
        String ident = "";

        ident = nodoSeleccionado.toString();                                    // GET el texto
        int inicio = ident.indexOf("(") + 1;                                    // GET inicio identificador
        int fin = ident.indexOf(")");                                           // GET final identificador
        ident = ident.substring(inicio, fin);                                   // GET el pre-identificador (UC, STK,...)

        return ident;
    }
    // Devuelve el pre-identificador de un elemento: UC, STK,...
    public String getPreIdentificadorNodo (MutableTreeNode nodoSeleccionado) {
        String ident = "";

        ident = nodoSeleccionado.toString();            // GET el texto
        int inicio = ident.indexOf("(") + 1;            // GET inicio identificador
        int fin = ident.indexOf(")") - 5;               // GET final identificador
        if(inicio != 0)
            ident = ident.substring(inicio, fin);           // GET el pre-identificador (UC, STK,...)
        else
            ident = "";
        return ident;

    }
    // Devuelve el identificador numérico de un elemento: 0001, 0002,...
    public String getIdentificadorNumericoNodo (MutableTreeNode nodoSeleccionado) {
        String ident = "";

        ident = nodoSeleccionado.toString();            // GET el texto
        int i = ident.indexOf(")");                     // GET final identificador
        ident = ident.substring(i-4, i);                // GET el identificador numérico

        return ident;
    }
    // Devuelve el identificador numérico de un elemento: 0001, 0002,...
    public String getIdentificadorNumericoNodo (String nodoSeleccionado) {
        String ident = nodoSeleccionado;

        int i = ident.indexOf(")");                     // GET final identificador
        ident = ident.substring(i-4, i);                // GET el identificador numérico

        return ident;
    }
    // Recibe STK-0003. Devuelve el número: 0001, 0002,...
    public String getIdentificadorNumerico (String identificador) {
        int i = identificador.indexOf("-");                                     // GET final identificador
        String ident = identificador.substring(i+1, identificador.length());    // GET el identificador numérico

        return ident;
    }

}

